org.apache.felix.service.command

## Interface Process

All Known Implementing Classes:
  Pipe

    public interface Process

### Nested Class Summary

Nested Classes
`static class` `Process.Utils`

### Method Summary

All Methods Instance Methods Abstract Methods
`PrintStream` `err()`
`void` `error(int error)` Set the error code for the currently running pipe.
`InputStream` `in()`
`boolean` `isTty(int fd)` Check if the given descriptor for the currently running pipe is the terminal or not.
`Job` `job()` Get the job controlling this process
`PrintStream` `out()`

### Method Detail

#### in

    InputStream in()

#### out

    PrintStream out()

#### err

    PrintStream err()

#### job

    Job job()

Get the job controlling this process

Returns:
  Job

#### isTty

    boolean isTty(int fd)

Check if the given descriptor for the currently running pipe is the terminal or not.

Parameters:
  `fd` - the fd
Returns:
  boolean

#### error

    void error(int error)

Set the error code for the currently running pipe.

Parameters:
  `error` - the error